Skip to content

Query graph nodes (POST)

POST
/v2/node

Read node properties and graph edges for one or more Data Commons nodes.

object
nodes

Nodes to query for.

Array<string>
property
The expression for the property or chained properties. The property includes arrow notation, name property(ies) and filter expression. For example: <-containedInPlace+{typeOf: City}->name
string
limit

Max number of result nodes to be returned for each query node.

integer format: int32
nextToken
Pagination token
string

A successful response.

object
data

Keyed by the query node dcid.

object
key
additional properties
object
arcs
Keyed by property, with values being a list of nodes
object
key
additional properties
object
nodes
Array<object>

Basic info for a node (subject or object).

object
name
string
types
Array<string>
dcid
string
provenanceId
string
value

Only for object value.

string
properties

Only set when querying for properties only, with “[nodes]->” or “[nodes]<-”.

Array<string>
nextToken

The pagination token for getting the next set of entries.

string

An unexpected error response.

object
code
integer format: int32
message
string
details
Array<object>
object
@type
string
key
additional properties